Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.muc.cluster
Class OccupantAddedEvent

    java.lang.Object
      org.jivesoftware.openfire.muc.cluster.MUCRoomTask
          org.jivesoftware.openfire.muc.cluster.OccupantAddedEvent

All Implemented Interfaces:
  Externalizable, Serializable, Runnable, ClusterTask

    public class OccupantAddedEvent

extends MUCRoomTask

Task that will remove a room occupant from the list of occupants in the room.

Author:
  Gaston Dombiak
See Also:
  Serialized Form

Constructor Summary
`OccupantAddedEvent()`
`OccupantAddedEvent(LocalMUCRoom room, MUCRole occupant)`

Method Summary
`MUCRole.Affiliation` | `getAffiliation()`
`String` | `getNickname()`
`NodeID` | `getNodeID()`
`org.xmpp.packet.Presence` | `getPresence()`
`Object` | `getResult()`
`MUCRole.Role` | `getRole()`
`org.xmpp.packet.JID` | `getRoleAddress()`
`org.xmpp.packet.JID` | `getUserAddress()`
`boolean` | `isSendPresence()` Returns true if the room should broadcast presence of the new occupant to occupants hosted by this cluster node.
`boolean` | `isVoiceOnly()`
`void` | `readExternal(ObjectInput in)`
`void` | `run()`
`void` | `setSendPresence(boolean sendPresence)` Sets if the room should broadcast presence of the new occupant to occupants hosted by this cluster node.
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class org.jivesoftware.openfire.muc.cluster.MUCRoomTask
`execute, getRoom, isOriginator, setOriginator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OccupantAddedEvent

    public OccupantAddedEvent()

### OccupantAddedEvent

    public OccupantAddedEvent(LocalMUCRoom room,
                              MUCRole occupant)

Method Detail

### getPresence

    public org.xmpp.packet.Presence getPresence()

### getNickname

    public String getNickname()

### getRole

    public MUCRole.Role getRole()

### getAffiliation

    public MUCRole.Affiliation getAffiliation()

### isVoiceOnly

    public boolean isVoiceOnly()

### getRoleAddress

    public org.xmpp.packet.JID getRoleAddress()

### getUserAddress

    public org.xmpp.packet.JID getUserAddress()

### getNodeID

    public NodeID getNodeID()

### setSendPresence

    public void setSendPresence(boolean sendPresence)

  Sets if the room should broadcast presence of the new occupant to occupants hosted by this cluster node.

  Parameters:
    `sendPresence` - true if the room should broadcast presence of the new occupant to occupants hosted by this cluster node.

### isSendPresence

    public boolean isSendPresence()

  Returns true if the room should broadcast presence of the new occupant to occupants hosted by this cluster node.

  Returns:
    true if the room should broadcast presence of the new occupant to occupants hosted by this cluster node.

### getResult

    public Object getResult()

### run

    public void run()

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Overrides:
    `writeExternal` in class `MUCRoomTask`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Overrides:
    `readExternal` in class `MUCRoomTask`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.